Get Invoice
Retrieve full invoice details including line items, payments, clinic info, and Xero sync status.
Retrieve full invoice details including line items, payments, clinic info, and Xero sync status.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
id*string
Invoice ID
Response Body
application/json
curl -X GET "https://example.com/invoices/550e8400-e29b-41d4-a716-446655440000"{ "id": "string", "invoiceNumber": "string", "property1": null, "property2": null}Empty
Generate Invoices From Orders POST
Batch-generate invoices from completed orders, grouped by clinic. Lab-only. Uses lab finance settings for default tax rate and due date calculation.
Get Invoice By Order GET
Look up the invoice associated with a specific order. Returns the full invoice detail including items and payments.